//Fire
datablock ParticleData(texFireExplosionParticle)
{
	textureName          = "./tex";
	dragCoefficient      = 0.0;
	gravityCoefficient   = -0.7;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0.0;
	lifetimeMS           = 1100;
	lifetimeVarianceMS   = 300;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]	= "1 1 0.3 1.0";
	colors[1]	= "1 1 0.3 1.0";
	colors[2]	= "1 0.4 0 1.0";

	sizes[0]	= 0.0;
	sizes[1]	= 1.0;
	sizes[2]	= 0.0;

	times[0]	= 0.0;
	times[1]	= 0.2;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(texFireExplosionEmitter)
{
   ejectionPeriodMS = 14;
   periodVarianceMS = 4;
   ejectionVelocity = 0.0;
   ejectionOffset   = 0.40;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "texFireExplosionParticle";

   useEmitterColors = false;

   uiName = "Cloud Fire";
};

//Directed Fire
datablock ParticleData(texDirFireExplosionParticle)
{
	textureName          = "./tex";
	dragCoefficient      = 0.0;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 3.0;
	lifetimeMS           = 800;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]	= "1 1 0.3 1.0";
	colors[1]	= "1 1 0.3 1.0";
	colors[2]	= "1 0.4 0 1.0";

	sizes[0]	= 0.0;
	sizes[1]	= 1.0;
	sizes[2]	= 0.0;

	times[0]	= 0.0;
	times[1]	= 0.2;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(texDirFireExplosionEmitter)
{
   ejectionPeriodMS = 14;
   periodVarianceMS = 4;
   ejectionVelocity = 3;
   ejectionOffset   = 0.00;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 5;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "texDirFireExplosionParticle";

   useEmitterColors = false;

   uiName = "Cloud Directed Fire";
};

//Smoke
datablock ParticleData(texSmokeExplosionParticle)
{
   textureName          = "./tex";
   dragCoefficient      = 0.0;
   windCoefficient      = 0.0;
   gravityCoefficient   = 0.01; 
   inheritedVelFactor   = 0.2;
   lifetimeMS           = 5000;
   lifetimeVarianceMS   = 0;
   useInvAlpha = true;
	spinSpeed     = 10;
	spinRandomMin = -30.0;
	spinRandomMax =  40.0;

   colors[0]     = "1 1 1 1";
   colors[1]     = "1 1 1 1";
   colors[2]     = "1 1 1 0.2";

   sizes[0]      = 0.75;
   sizes[1]      = 2.5;
   sizes[2]      = 2.5;

   times[0]      = 0.0;
   times[1]      = 0.9;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(texSmokeExplosionEmitter)
{
   ejectionPeriodMS = 100;
   periodVarianceMS = 0;
   ejectionOffset = 0;
   ejectionOffsetVariance = 0.0;
   ejectionVelocity = 1.5;
   velocityVariance = 0.0;
   thetaMin         = 0.0;
   thetaMax         = 10.0;  
   phiReferenceVel  = 0;
   phiVariance      = 360;
   particles = "texSmokeExplosionParticle";

   useEmitterColors = true;

   uiName = "Cloud Smoke";
};
//Water
datablock ParticleData(texWaterExplosionParticle)
{
	textureName          = "./tex";
	dragCoefficient      = 0.0;
	gravityCoefficient   = 1.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0;
	lifetimeMS           = 2000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -30.0;
	spinRandomMax =  30.0;
	useInvAlpha   = true;

	colors[0]     = "0.000 0.2 0.5 0.9";
	colors[1]     = "0.000 0.4 0.8 0.8";
	colors[2]     = "0.4 0.85 0.9 0.7";
	colors[3]     = "0.9 0.9 0.9 0.0";

	sizes[0]	= 0.5;
	sizes[1]	= 1.0;
	sizes[2]	= 0.6;
	sizes[3]	= 0.6;

	times[0]	= 0.0;
	times[1]	= 0.2;
	times[2]	= 0.8;
	times[3]	= 1.0;
};

datablock ParticleEmitterData(texWaterExplosionEmitter)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 4;
   ejectionVelocity = 0.9;
   ejectionOffset   = 0.4;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 5;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "texWaterExplosionParticle";

   useEmitterColors = false;

   uiName = "Cloud Water";
};

//Liquid
datablock ParticleData(texLiquidExplosionParticle)
{
	textureName          = "./tex";
	dragCoefficient      = 0.0;
	gravityCoefficient   = 1.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0;
	lifetimeMS           = 2000;
	lifetimeVarianceMS   = 100;
	spinSpeed     = 0;
	spinRandomMin = -30.0;
	spinRandomMax =  30.0;
	useInvAlpha   = true;

	colors[0]     = "0.000 0.2 0.5 0.9";
	colors[1]     = "0.000 0.4 0.8 0.8";
	colors[2]     = "0.4 0.85 0.9 0.7";
	colors[3]     = "0.9 0.9 0.9 0.0";

	sizes[0]	= 0.5;
	sizes[1]	= 1.0;
	sizes[2]	= 0.6;
	sizes[3]	= 0.6;

	times[0]	= 0.0;
	times[1]	= 0.2;
	times[2]	= 0.8;
	times[3]	= 1.0;
};

datablock ParticleEmitterData(texLiquidExplosionEmitter)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 4;
   ejectionVelocity = 0.9;
   ejectionOffset   = 0.4;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 5;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "texWaterExplosionParticle";

   useEmitterColors = true;

   uiName = "Cloud Liquid";
};